package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.Date;

public class TNtinfo {
    private String id;

    private String orgId;

    private String vdevcode;

    private String vdevname;

    private Integer idevtdh;

    private String sitecode;

    private String vcfcode;

    private Integer value1;

    private Integer value2;

    private Integer value3;

    private BigDecimal n2value1;

    private BigDecimal n2value2;

    private BigDecimal n2value3;

    private BigDecimal n2value4;

    private BigDecimal n2value5;

    private Integer valarmstatue;

    private Integer vstatue;

    private Date updatetime;

    private String remark;

    private Integer delFlag;

    /**
     * 气调信息id 32位
     * @return id 气调信息id 32位
     */
    public String getId() {
        return id;
    }

    /**
     * 气调信息id 32位
     * @param id 气调信息id 32位
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备编码
     * @return vdevcode 设备编码
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码
     * @param vdevcode 设备编码
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 设备名称
     * @return vdevname 设备名称
     */
    public String getVdevname() {
        return vdevname;
    }

    /**
     * 设备名称
     * @param vdevname 设备名称
     */
    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    /**
     * 通道号
     * @return idevtdh 通道号
     */
    public Integer getIdevtdh() {
        return idevtdh;
    }

    /**
     * 通道号
     * @param idevtdh 通道号
     */
    public void setIdevtdh(Integer idevtdh) {
        this.idevtdh = idevtdh;
    }

    /**
     * 站点编码
     * @return sitecode 站点编码
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编码
     * @param sitecode 站点编码
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 仓房编码
     * @return vcfcode 仓房编码
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 仓房编码
     * @param vcfcode 仓房编码
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 电磁阀1
     * @return value1 电磁阀1
     */
    public Integer getValue1() {
        return value1;
    }

    /**
     * 电磁阀1
     * @param value1 电磁阀1
     */
    public void setValue1(Integer value1) {
        this.value1 = value1;
    }

    /**
     * 电磁阀2
     * @return value2 电磁阀2
     */
    public Integer getValue2() {
        return value2;
    }

    /**
     * 电磁阀2
     * @param value2 电磁阀2
     */
    public void setValue2(Integer value2) {
        this.value2 = value2;
    }

    /**
     * 电磁阀3
     * @return value3 电磁阀3
     */
    public Integer getValue3() {
        return value3;
    }

    /**
     * 电磁阀3
     * @param value3 电磁阀3
     */
    public void setValue3(Integer value3) {
        this.value3 = value3;
    }

    /**
     * 
     * @return n2value1 
     */
    public BigDecimal getN2value1() {
        return n2value1;
    }

    /**
     * 
     * @param n2value1 
     */
    public void setN2value1(BigDecimal n2value1) {
        this.n2value1 = n2value1;
    }

    /**
     * 
     * @return n2value2 
     */
    public BigDecimal getN2value2() {
        return n2value2;
    }

    /**
     * 
     * @param n2value2 
     */
    public void setN2value2(BigDecimal n2value2) {
        this.n2value2 = n2value2;
    }

    /**
     * 
     * @return n2value3 
     */
    public BigDecimal getN2value3() {
        return n2value3;
    }

    /**
     * 
     * @param n2value3 
     */
    public void setN2value3(BigDecimal n2value3) {
        this.n2value3 = n2value3;
    }

    /**
     * 
     * @return n2value4 
     */
    public BigDecimal getN2value4() {
        return n2value4;
    }

    /**
     * 
     * @param n2value4 
     */
    public void setN2value4(BigDecimal n2value4) {
        this.n2value4 = n2value4;
    }

    /**
     * 
     * @return n2value5 
     */
    public BigDecimal getN2value5() {
        return n2value5;
    }

    /**
     * 
     * @param n2value5 
     */
    public void setN2value5(BigDecimal n2value5) {
        this.n2value5 = n2value5;
    }

    /**
     * 设备状态 0:正常；1：异常
     * @return valarmstatue 设备状态 0:正常；1：异常
     */
    public Integer getValarmstatue() {
        return valarmstatue;
    }

    /**
     * 设备状态 0:正常；1：异常
     * @param valarmstatue 设备状态 0:正常；1：异常
     */
    public void setValarmstatue(Integer valarmstatue) {
        this.valarmstatue = valarmstatue;
    }

    /**
     * 风机状态 0关闭，1打开，2反正，3停止
     * @return vstatue 风机状态 0关闭，1打开，2反正，3停止
     */
    public Integer getVstatue() {
        return vstatue;
    }

    /**
     * 风机状态 0关闭，1打开，2反正，3停止
     * @param vstatue 风机状态 0关闭，1打开，2反正，3停止
     */
    public void setVstatue(Integer vstatue) {
        this.vstatue = vstatue;
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}